<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function cadresinfos_porte_plume_barre_pre_charger($barres) {
	$barre = &$barres['edition']; 
    
        $barre->ajouterApres('bold', array(
        'id' => 'cadresinfos',
        'name' => _T('cadresinfos:cadres informatifs'),
        'className' => 'outil_cadresinfos',
        'display' => true,
        ));
    
        $barre->set('cadresinfos', array(  
        'dropMenu' => array(
            array(
                'id' => 'alignercentre',
                'name' => _T('cadresinfos:centrer'),
                'className' => 'outil_alignercentre',
                'openWith' => "[|",
                'closeWith' => "|]",
                'display' => true,
                'selectionType' => 'line',
            ),
			 array(
                'id' => 'cadreboitierfragil',
                'name' => _T('cadresinfos:boitierfragil'),
                'className' => 'outil_boitierfragil',
                'openWith' => "<cadreboitierfragil>",
                'closeWith' => "</cadreboitierfragil>",
                'display' => true,
                'selectionType' => 'word',
            ),
			 array(
                'id' => 'colonne',
                'name' => _T('cadresinfos:colonne'),
                'className' => 'outil_colonnes',
                'openWith' => "<colonnes>",
                'closeWith' => "</colonnes>",
                'display' => true,
                'selectionType' => 'line',
            ),
			 array(
                'id' => '2colonnes',
                'name' => _T('cadresinfos:2colonnes'),
                'className' => 'outil_2colonnes',
                'openWith' => "<2colonnes>",
                'closeWith' => "</2colonnes>",
                'display' => true,
                'selectionType' => 'line',
            ),
            array(
                'id' => 'cadreaide',
                'name' => _T('cadresinfos:cadre aide'),
                'className' => 'outil_cadreaide',
                'openWith' => "<cadreaide>",
                'closeWith' => "</cadreaide>",
                'display' => true,
                'selectionType' => 'line',
            ), 
            array(
                'id' => 'important',
                 'name' => _T('cadresinfos:cadre important'),
                 'className' => 'outil_important',
                 'openWith' => "<important>",
                 'closeWith' => "</important>",
                 'display' => true,
                 'selectionType' => 'line',
            ),
            array(
                'id' => 'avertissement',
                'name' => _T('cadresinfos:cadre avertissement'),
                'className' => 'outil_avertissement',
                'openWith' => "<avertissement>",
                'closeWith' => "</avertissement>",
                'display' => true,
                'selectionType' => 'line',
            ),
            array(
                'id' => 'information',
                'name' => _T('cadresinfos:cadre indication'),
                'className' => 'outil_indication',
                'openWith' => "<indication>",
                'closeWith' => "</indication>",
                'display' => true,
                'selectionType' => 'line',
            )
        ) 
    ));

	return $barres;
}
function cadresinfos_porte_plume_lien_classe_vers_icone($flux) {
    return array_merge($flux, array(
        'outil_cadresinfos'   => '3vi-logo.png',
        'outil_alignercentre' => 'alignercentre.png',
        'outil_boitierfragil' => 'boitierfragile.jpg',
        'outil_cadreaide'     => 'aide.png',
        'outil_important'     => 'important.png',
		'outil_avertissement' => 'avertissement.png',
		'outil_indication'    => 'indication.png',
		'outil_colonnes'      => 'colonnes.png',
	));
}
